# Class SequenceTracker

#### Hierarchy

- SequenceTracker

- Defined in utils/accounts/sequence.ts:33

#####
Index

### Constructors

constructor

### Properties

bump?
emitterType?
sequence

### Methods

value
deserialize

## Constructors

### constructor

- new SequenceTracker(sequence, bump?, emitterType?): SequenceTracker

- #### Parameters

  - ##### sequence: bigint

  - ##### `Optional` bump: number

  - ##### `Optional` emitterType: number

  #### Returns SequenceTracker

  - Defined in utils/accounts/sequence.ts:38

## Properties

### `Optional` bump

bump?: number

- Defined in utils/accounts/sequence.ts:35

### `Optional` emitterType

emitterType?: number

- Defined in utils/accounts/sequence.ts:36

### sequence

sequence: bigint

- Defined in utils/accounts/sequence.ts:34

## Methods

### value

- value(): bigint

- #### Returns bigint

  - Defined in utils/accounts/sequence.ts:60

### `Static` deserialize

- deserialize(data): SequenceTracker

- #### Parameters

  - ##### data: Buffer

  #### Returns SequenceTracker

  - Defined in utils/accounts/sequence.ts:44

Generated using TypeDoc